dev_max = 0.03;
ref_level = 0.7;
[x,y] = meshgrid(0:0.1:1,0:0.1:1);
randn('state',1);
z = ref_level+dev_max*randn(size(x));
% Create a surface from the height data:
f = geomsurf(x,y,z);
% Create a solid block whose top surface lies above the generated % surface.
b = block3(1,1,ref_level+3*dev_max);
% Coerce the face and the solid block to a composite solid object.
g = geomcoerce('solid',{f,b});
% Split the object into its subdomains.
ss = split(g);
% Visualize the solid object with the interpolated surface as top % surface.
figure
geomplot(ss{1})
% Use use the Headlight or Scene Light toolbar buttons to turn on % lighting in COMSOL Script.
s1=ss{1};
s2=ss{2};
