% COMSOL Multiphysics Model M-file
% Generated by COMSOL 3.5a (COMSOL 3.5.0.585, $Date: 2008/11/18 16:55:05 $)

flclear fem

% COMSOL version
clear vrsn
vrsn.name = 'COMSOL 3.5';
vrsn.ext = 'a';
vrsn.major = 0;
vrsn.build = 585;
vrsn.rcs = '$Name: v35p $';
vrsn.date = '$Date: 2008/11/18 16:55:05 $';
fem.version = vrsn;

% Geometry
g1=circ2(1,'base','center','pos',[0,0]);
parr={point2(0,0)};
g2=geomcoerce('point',parr);

% Analyzed geometry
clear p s
p.objs={g2};
p.name={'PT1'};
p.tags={'g2'};

s.objs={g1};
s.name={'C1'};
s.tags={'g1'};

fem.draw=struct('p',p,'s',s);
fem.geom=geomcsg(fem);

% Initialize mesh
fem.mesh=meshinit(fem, ...
                  'hauto',5, ...
                  'hmaxvtx',[3,0.001]);

% (Default values are not included)

% Application mode 1
clear appl
appl.mode.class = 'Poisson';
appl.sshape = 2;
appl.assignsuffix = '_poeq';
clear pnt
pnt.weak = {0,'u_test'};
pnt.ind = [1,1,2,1,1];
appl.pnt = pnt;
clear bnd
bnd.type = 'dir';
bnd.ind = [1,1,1,1];
appl.bnd = bnd;
clear equ
equ.f = 0;
equ.ind = [1];
appl.equ = equ;
fem.appl{1} = appl;
fem.frame = {'ref'};
fem.border = 1;
clear units;
units.basesystem = 'SI';
fem.units = units;

% ODE Settings
clear ode
clear units;
units.basesystem = 'SI';
ode.units = units;
fem.ode=ode;

% Multiphysics
fem=multiphysics(fem);

% Extend mesh
fem.xmesh=meshextend(fem);

% Solve problem
fem.sol=femstatic(fem, ...
                  'solcomp',{'u'}, ...
                  'outcomp',{'u'}, ...
                  'blocksize','auto');

% Save current fem structure for restart purposes
fem0=fem;

% Plot solution
postplot(fem, ...
         'tridata',{'u','cont','internal'}, ...
         'trimap','Rainbow', ...
         'title','Surface: u', ...
         'axis',[-2,2,-1.8288770053475936,1.8288770053475936]);

% Plot solution
postplot(fem, ...
         'tridata',{'u','cont','internal'}, ...
         'triz','u', ...
         'trimap','Rainbow', ...
         'title','Surface: u   Height: u', ...
         'grid','on');

% Plot in cross-section or along domain
postcrossplot(fem,1,[0.02 1;0 0], ...
              'lindata','u+log(x^2)/(4*pi)', ...
              'title','u+log(x^2)/(4*pi)', ...
              'axislabel',{'Arc-length','u+log(x^2)/(4*pi)'});


